
#include "keyboard.h"
#include "globals.h"


unsigned char getKeyCode(uint8_t ah) {
	if (!(ah & _BV(KBD_PIN_OK))) {
		return KEY_OK;
	}
	if (!(ah & _BV(KBD_PIN_UP))) {
		return KEY_UP;
	}
	if (!(ah & _BV(KBD_PIN_DOWN))) {
		return KEY_DOWN;
	}
	if (!(ah & _BV(KBD_PIN_LEFT))) {
		return KEY_LEFT;
	}
	if (!(ah & _BV(KBD_PIN_RIGHT))) {
		return KEY_RIGHT;
	}
	return 0;
}

void  KBD_init() {
	KBD_PORT |= KBD_MASK;
	KBD_DDR &= ~ KBD_MASK;
	// led port init

   LEDDDR |=(1<<LEDERR) | (1<<LEDOK) | (1<<LEDCRCOK);
   // test Power 1,2 sec
   LEDPORT |= (1<< LEDOK);
   LEDPORT |= (1<< LEDCRCOK);
   LEDPORT |= (1<< LEDERR);
    
   _delay_ms(1200);
   LEDPORT &= ~(1<<LEDOK);
   LEDPORT &= ~(1<<LEDCRCOK);   
   LEDPORT &= ~(1<<LEDERR);


//	lastKey = 0;
//	prevKey = 0;
}
void Timer0_init(void)
{
	TCNT0=0x00;
	TCCR0|=(1<<CS02); //prescaller 256 ~122 interrupts/s
	TIMSK|=(1<<TOV0);//Enable Timer0 Overflow interrupts
	sei();
}



